Skip to main content
GET
/
v1
/
account
/
equity
Get Equity
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/equity \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
import requests

url = "https://api.perpetuals.polymarket.com/v1/account/equity"

headers = {
"POLYMARKET-PROXY": "<api-key>",
"POLYMARKET-SECRET": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'POLYMARKET-PROXY': '<api-key>', 'POLYMARKET-SECRET': '<api-key>'}
};

fetch('https://api.perpetuals.polymarket.com/v1/account/equity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    [
      1767225600000,
      "10000.00"
    ]
  ],
  "more": true
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 10

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

interval
enum<string>
required

Kline interval

Available options:
1s,
1m,
5m,
15m,
30m,
1h,
4h,
6h,
12h,
1d,
1w
start_timestamp
integer
required

Start timestamp in milliseconds

Example:

1767225600000

end_timestamp
integer

End timestamp in milliseconds

Example:

1767229200000

Response

Equity history response.

data
array[]
required
  • 1767225600000 - Timestamp
  • "10000.00" - Equity
Maximum array length: 1000
Example:
[1767225600000, "10000.00"]
more
boolean
required

More data available